<?php 
require_once(dirname(dirname(__FILE__))."/funcoes.php");
protegeArquivo(basename(__FILE__));
//loadJS('jquery-validate');
//loadJS('jquery-validate-messages');
$objetocalculo=new calculos();
$sessao = new sessao();
$cliente=$sessao->getVar('cliente');
$amostraLong=$sessao->getVar('amostraLong');
$senhaCli=$sessao->getVar('iduser');
$idLabo=$sessao->getVar('idLabo');
$nomeOperador=$sessao->getVar('nomeuser');
$valorDeful=$objetocalculo->capturaDeful($idLabo,'laudo_tetrazolio');
$finalidade=$sessao->getVar('finalidade');
//atribuir sessao=4R  POIS ESTE MODULO VAI TRABALHAR COM 4 REPETICOES
$sessao->setVar('parametroDimi','4R');

///////////////VAI PESQUISAR QUAL O BROWSER////////////////////
$browser_cliente = isset($_SERVER['HTTP_USER_AGENT']) ? $_SERVER['HTTP_USER_AGENT'] : '';
//POSSIBILIDADES  'Opera')  'Gecko' 'MSIE' 'Chrome' 
/*
if(strpos($browser_cliente, 'Opera') !== false){
 echo 'codigo para o Opera';
}elseif(strpos($browser_cliente, 'Gecko') !== false){
 echo 'codigo para o Mozilla/Firefox e browsers baseados no motor Gecko';
}elseif(strpos($browser_cliente, 'MSIE') !== false){
 echo 'codigo para o IE';
}elseif(strpos($browser_cliente, 'Chrome') !== false){
 echo 'codigo para o Chrome';
}else{
 echo 'codigo para outro browser';
}
*/
///////////////////////////////
if(strpos($browser_cliente, 'Gecko') !== false)
{
	 loadCSS('tableRolagemMozila');
}
else
{
	 loadCSS('tableRolagem');
}
?>
<script type="text/javascript">
	function  ClikButton(e)
       {
           document.formAmostra.tipo2014.value = e;
           //alert(document.formAmostra.tipo2014.value)    //esta linha serve para ver qual botao foi clicado
           if(e>0 && e<=21) //novo 
           {
		      document.formAmostra.submit();
			  alert(Evento.keyCode);
		   }
		   
		   //button MECANICO=M
		   if(e==24) //button MECANICO=M
           {
			  //alert("2- tx_saotome  was clicked.");
              document.formAmostra.tx_temporario.value="M";
		   }

            //button UMIDADE=U 
		   if(e==25) //button UMIDADE=U 
           {
              document.formAmostra.tx_temporario.value="U";
		   }
		   
		   //BOTAO PERCEVEJOS =P
		   if(e==26) //BOTAO PERCEVEJOS =P
           {
              document.formAmostra.tx_temporario.value="P";
		   }
           //AQUI VERIFICA SE JA TINHA AQUELE DANO
           if(document.formAmostra.tx_temporario.value==document.formAmostra.tx_saotome1.value )
		   {
               alert("Não precisa clicar 2 vezes no mesmo dano!");		   
	           document.formAmostra.tx_temporario.value="";
		   }
           if(document.formAmostra.tx_temporario.value==document.formAmostra.tx_saotome2.value )
		   {
               alert("Não precisa clicar 2 vezes no mesmo dano!");		   
	           document.formAmostra.tx_temporario.value="";
		   }
           if(document.formAmostra.tx_temporario.value==document.formAmostra.tx_saotome3.value )
		   {
               alert("Não precisa clicar 2 vezes no mesmo dano!");		   
	           document.formAmostra.tx_temporario.value="";
		   }
           
		   
		   
		   //AQUI DISTRIBUI CONFORME OS LOCAIS VAGOS
           if(document.formAmostra.tx_saotome1.value=="")
		   {
               document.formAmostra.tx_saotome1.value=document.formAmostra.tx_temporario.value;
	           document.formAmostra.tx_temporario.value="";
		   }
		   
           if(document.formAmostra.tx_saotome2.value=="")
		   {
               document.formAmostra.tx_saotome2.value=document.formAmostra.tx_temporario.value;
	           document.formAmostra.tx_temporario.value="";
		   }
           if(document.formAmostra.tx_saotome3.value=="")
		   {
               document.formAmostra.tx_saotome3.value=document.formAmostra.tx_temporario.value;
	           document.formAmostra.tx_temporario.value="";
		   }
       } 
</script>


<?php







switch ($tela):
/////////////////////////////////////////	/////////////////RESULTADOS////////////////////////	/////////////////////////////////////////	

case 'editar':
    	//aqui verifica se tem o registro de tzo e se nao tem ja cria na hora
        //$modex=$_POST['modex'];
		$user = new rean1();
		$user->extras_select = " WHERE  rea_teste='TZO' and  rea_ficha=".$amostraLong;
		$user->selecionaTudo($user);
		$registros=$user->linhasafetadas;
        if($registros>0):
			while($res = $user->retornaDados()):
			    $modex=$res->rea_lei4;
                $modalidadeArquivada=$res->rea_duracao;
		    endwhile;		
		endif;
        //echo("modalidadeArquivada $modalidadeArquivada<br>"); 
        $cheque10="checked";

		//SE NAO TEM UM REGISTRO DE TZO AINDA NA AMOSTRA ENTAO CRIA UMM
		//AQUI VI CRIAR UM REGISTRO, ESEPECIALMENTE PARA O CASO DE TETRAZOLIO TRANSPOR FICHA
		$modex="TZ1";
		if($registros<1):
		   $generica1=new tabelagenerica(); 
		   $sqlt="insert into rean1 (rea_teste,rea_ficha,rea_v1,rea_v2,rea_campo100,rea_lei4,rea_duracao)";
		   $sqlt.="values('TZO','$amostraLong','-N-','-N-','-N-','$modex','$modalidadeArquivada')";
		   $generica1->grava_registro_com_retorno($sqlt); 
           printMSG('Criou um registro para TZO nesta amostra, na modalidade '.$modex ,'alerta');
		endif;		

        //enxerto botao achar
		///////////////////
	 	if (isset($_POST['acharDigitada'])):
			   	$registro=$_POST["amostra"];//se clica em achar digitada ja pega daqui
              	if(isset($_POST['acharAvanca']))$acao='avanca';
              	if(isset($_POST['acharRecua']))$acao='recua';
              	if(isset($_POST['acharUltima']))$acao='ultima';
	            $amostraLong=$objetocalculo->AchaIdAmostra2016($registro,$acao);
				/////VAI ACHAR O MODEX
                $modex="NENHUM";
				$user = new rean1();
				$user->extras_select =" where  rea_teste='TZO' AND rea_ficha=".$amostraLong ;
			    $user->selecionaTudo($user);
				while($res = $user->retornaDados()):
				    $modex=$res->rea_lei4;
                    $modalidadeArquivada=$res->rea_duracao;
			    endwhile;		
				if($modex=="NENHUM"):
				      printMSG('Esta amostra nao tem opção de tetrazolio. Acesse a tela onde define o modo de entrada de dados. <a href="?m=Tetrazolio_distribuicao&t=editar">Acesso a tela </a>');
				endif;	
				if($modex=="TZ3"):
				      printMSG('Esta amostra esta definida para FORRAGEIRAS.  <a href="?m=Tetrazolio_distribuicao&t=editar">Acesso a tela FORRAGEIRAS </a>');
				endif;	
		   endif;//fecha o if que acha ammostras pelo avanca-recua ou ultima
		
		/////////////////////




	
	
	//fim do enxerto do botao fechar
	
	
	$tipo2014=$_POST['tipo2014'];
    //ACERTA REPETICAO     
    $repeticao=$_POST['campoRepeticao'];
	//echo ("REPETICAO LIDO=$repeticao<br>");
	if($repeticao=='')$repeticao='1';
	//echo ("REPETICAO AJUSTADO=$repeticao<br>");
    if ($tipo2014==14):
       $repeticao=$_POST['campoRepeticao'];
       if($repeticao>1)$repeticao--;
	endif;	 
    if ($tipo2014==19):
       $repeticao=$_POST['campoRepeticao'];
       if($repeticao<4)$repeticao++;
	endif;	 


	//vai salvar nivel 2
    $botaoSalvar=0; 
    if ($tipo2014==4)$botaoSalvar=4;
    if ($tipo2014==5)$botaoSalvar=5;
    if ($tipo2014==6)$botaoSalvar=6;
    if ($tipo2014==7)$botaoSalvar=7;
    if ($tipo2014==8)$botaoSalvar=8;
    
	if($botaoSalvar>0):
 	   $t1=$_POST['tx_saotome1'];
	   $t2=$_POST['tx_saotome2'];
	   $t3=$_POST['tx_saotome3'];
       //echo("salvar t1=$t1 t2=$t2   t3=$t3  botaoSalvar=  $botaoSalvar <br>");  
	   if($t1=="" && $t2=="" && $t3==""):
	      ?>
          <SCRIPT LANGUAGE="JavaScript" TYPE="text/javascript">
          alert ("Não clique no nivel sem antes definir o dano!")
          </SCRIPT>
		  <?php
	      $botaoSalvar=0;//mata o botao para nao disparar evento algum caso nao tenha clicado no dano
	   endif;
    endif; 
    //aqui captura os 3 botpes que dispara m direto sem  precisar texto ou nivel
    if ($tipo2014==9)$botaoSalvar=9;//r3
    if ($tipo2014==10)$botaoSalvar=10;//e8
    if ($tipo2014==11)$botaoSalvar=11;//duras

//PREPARA PARA GRAVACAO
  if($botaoSalvar>0):
     //echo("aqui entra com conteudo dimi=$stringGravavel<br>");  
	 $conteudo= $stringGravavel;
     $operacao='INSERIR'; 
	 $vaiGravar='SIM'; 
     //MONTANDO O DANO
     $nivel=$botaoSalvar-2;
     $conteudo=$t1.$nivel.$t2.$t3;
     $ontroleEntrada="gravarDanos";
	 $nivel=substr($conteudo,1,1);
	 ///////////
	 $danos1=substr($conteudo,0,1);
	 //echo("****KKK1******primeiro caracter $primeiroCaracter   danos1= $danos1<br> ");
	 $danos2=substr($conteudo,2,1);
	 $danos3=substr($conteudo,3,1);
     if($botaoSalvar==9):
	   $danos1='R';
	   $nivel=3;
	 endif;
     if($botaoSalvar==10):
	   $danos1='E';
	   $nivel=6;
	 endif;
     if($botaoSalvar==11):
	   $danos1='D';
	   $nivel=2;
	 endif;
     $danos=$danos1.$danos2.$danos3;
     //aqui insere o registro na tabela
     $danos=substr($danos,0,4);//o max leng é 9 mas nao posso liberar para mais que 4 caracteres exemplo   P5MP
     $generica=new tabelagenerica();
	 $sql="insert into tetrazolio (tet_amostra,tet_danos,tet_nivel,tet_repeticao) values('$amostraLong','$danos','$nivel','$repeticao')";
	 $generica->grava_registro_com_retorno($sql);
	 printMSG('Gravação Ok do() danos(s)' .$danos.$nivel.' na repetição'. $repeticao.' Aviso importante: Depois de lançar todos dados, clique em GRAVAR GERAL, para que o computador realmente calcule a planilha.' ,'aviso');
	    //echo("xxxxxxxyyyyxxxxxxxxxxxxxxxxxxconteudo=$conteudo  sql=$sql  botaosaovar $botaoSalvar<br>");
  endif;//testa se botao salvar >0
///////FIM DO PREPARA PARA GRAVACAO


    //apaga dano
    if ($tipo2014==12):
	   $campoCombo=$_POST['combo2'];  
       $posicao=strpos($campoCombo,']');
	   $danoApagado=substr($campoCombo,$posicao+1);
       $idDeletar=substr($campoCombo,0,$posicao);	   
       //echo("campoCombo $campoCombo posicao=$posicao   idDeletar=$idDeletar<br>");	
	   
	   $generica=new tabelagenerica();
	   $sql="delete from  tetrazolio where tet_id=".$idDeletar;
	   $generica->grava_registro_com_retorno($sql);
	   printMSG('Apagou o dano:  '. $danoApagado ,'aviso');
	endif;

	    //vai encher o combo dos danos////////////////
		//ENTRA DE QUAKQUER MANEIRA
 	 	$generica=new tabelagenerica();
		$generica->tabela="tetrazolio";
		$generica->campos_valores = array(
				"tet_danos" => NULL,
				"tet_nivel" => NULL,
				"tet_id" => NULL,
			);
	   // $repeticao=1;		
		$generica->extras_select =" where tet_repeticao=".$repeticao." &&  tet_amostra=" . $amostraLong;
		//echo $generica->extras_select;
	    $generica->selecionaCampos($generica);
        $registrosCB2=0;
		$contaN2=0;
		$contaN3=0;
		$contaN4=0;
		$contaN5=0;
		$contaN6=0;
		while ($resgenerica = $generica->retornaDados()):
            $registrosCB2++;
  		    $matrizCombo2[$registrosCB2]=$resgenerica->tet_id."]".$resgenerica->tet_nivel.$resgenerica->tet_danos;
            if($resgenerica->tet_nivel=='2')$contaN2++;
            if($resgenerica->tet_nivel=='3')$contaN3++;
            if($resgenerica->tet_nivel=='4')$contaN4++;
            if($resgenerica->tet_nivel=='5')$contaN5++;
            if($resgenerica->tet_nivel=='6')$contaN6++;
		endwhile;




//botao gravar geral
   if ($tipo2014==13):
      $modalidadeArquivada=$_POST['radiomodalidade'];
 
  //MATRIZ CONTAGEM DE DANOS BIDIMENSIONA LINHA 1 =REP1 LINHA 2 REP=2  
  //zera a matriz
  for($colu=1;$colu<=34;$colu++):
    $matrizContagem[1][$colu]=0;
    $matrizContagem[2][$colu]=0;
  endfor;
  
   // $repeticao=1;		
   //	$generica->extras_select =" where tet_repeticao=".$repeticao." &&  tet_amostra=" . $amostraLong;
   // $generica->selecionaCampos($generica);
   // $registrosCB1=0;
//	while ($resgenerica = $generica->retornaDados()):
  //      $registrosCB1++;
	    //$matrizCombo1[$registrosCB1]=$resgenerica->tet_id."]".$resgenerica->tet_nivel.$resgenerica->tet_danos;
//	endwhile;  


    $generica=new tabelagenerica();
	$generica->tabela="tetrazolio";

  for($repe=1;$repe<=4;$repe++):
	//ENTRA DE QUAKQUER MANEIRA
	$generica->campos_valores = array(
			"tet_danos" => NULL,
			"tet_nivel" => NULL,
		);
	$generica->extras_select =" where tet_repeticao='".$repe."' &&  tet_amostra=" . $amostraLong;
	$generica->selecionaCampos($generica);
	while ($resgenerica = $generica->retornaDados()):
	    //dano mecanico
		$danoRegistrado=$resgenerica->tet_danos;
		$nivelRegistrado=$resgenerica->tet_nivel;
        $primeiroDano=substr($danoRegistrado,0,1);
        $segundoDano=substr($danoRegistrado,1,1);
        $terceiroDano=substr($danoRegistrado,2,1);
		//DANOS SOLTEIROS
		if($primeiroDano=='M'):
           if($nivelRegistrado==2) $matrizContagem[$repe][1]++;//$Bm2++;
           if($nivelRegistrado==3) $matrizContagem[$repe][2]++;//$Bm3++;  		
           if($nivelRegistrado==4) $matrizContagem[$repe][3]++;//$Bm4++;  		
           if($nivelRegistrado==5) $matrizContagem[$repe][4]++;//$Bm5++;  		
           if($nivelRegistrado==6):
		      $matrizContagem[$repe][5]++;//$Bm6++;  		
		      $matrizContagem[$repe][6]++;//$Bkm++;  		
		   endif;
		endif;//testa danos m
        //danos umidade
        if($primeiroDano=='U'):
           if($nivelRegistrado==2) $matrizContagem[$repe][7]++;//$Bu2++;
           if($nivelRegistrado==3) $matrizContagem[$repe][8]++;//$Bu3++;  		
           if($nivelRegistrado==4) $matrizContagem[$repe][9]++;//$Bu4++;  		
           if($nivelRegistrado==5) $matrizContagem[$repe][10]++;//$Bu5++;  		
           if($nivelRegistrado==6):
		      $matrizContagem[$repe][11]++;$Bu6++;  		
		      $matrizContagem[$repe][12]++;$Bku++;  		
		   endif;
		endif;//testa danos m
        //dano p
        if($primeiroDano=='P'):
           if($nivelRegistrado==2) $matrizContagem[$repe][13]++;//$Bp2++;
           if($nivelRegistrado==3) $matrizContagem[$repe][14]++;//$Bp3++;  		
           if($nivelRegistrado==4) $matrizContagem[$repe][15]++;//$Bp4++;  		
           if($nivelRegistrado==5) $matrizContagem[$repe][16]++;//$Bp5++;  		
           if($nivelRegistrado==6):
		      $matrizContagem[$repe][17]++;//$Bp6++;  		
		      $matrizContagem[$repe][18]++;//$Bkp++;  		
		   endif;
		endif;//testa danos p

        //conta os danos nas classes 2,3,4,5,6
        if($nivelRegistrado==2)$matrizContagem[$repe][19]++;//$Bc2++;
        if($nivelRegistrado==3)$matrizContagem[$repe][20]++;//$Bc3++;
        if($nivelRegistrado==4)$matrizContagem[$repe][21]++;//$Bc4++;
        if($nivelRegistrado==5)$matrizContagem[$repe][22]++;//$Bc5++;
        if($nivelRegistrado==6)$matrizContagem[$repe][23]++;//$Bc6++;
	    //$matrizCombo1[$registrosCB1]=$resgenerica->tet_id."]".$nivelRegistrado.$danoRegistrado;
        //contagens especiais D,R,I,L,E                
        if($danoRegistrado=='D') $matrizContagem[$repe][25]++; //CONTAGEM DE DURAS
        if($danoRegistrado=='R') $matrizContagem[$repe][26]++; //CONTAGEM DE R3
        if($danoRegistrado=='I') $matrizContagem[$repe][27]++; //CONTAGEM DE IMINENTE
        if($danoRegistrado=='L') $matrizContagem[$repe][28]++; //CONTAGEM DE LATENTE
        if($danoRegistrado=='E' || $danoRegistrado=='V') $matrizContagem[$repe][29]++; //CONTAGEM DE EMBRIONARIA OU VERDE(TUDO É MORTO))
		//DANOS MUP
		if($nivelRegistrado==2  && strlen($danoRegistrado)==3)$matrizContagem[$repe][30]++;//dano mup no nivel2
		if($nivelRegistrado==3  && strlen($danoRegistrado)==3)$matrizContagem[$repe][31]++;//dano mup no nivel3
		if($nivelRegistrado==4  && strlen($danoRegistrado)==3)$matrizContagem[$repe][32]++;//dano mup no nivel4
		if($nivelRegistrado==5  && strlen($danoRegistrado)==3)$matrizContagem[$repe][33]++;//dano mup no nivel5
		if($nivelRegistrado==6  && strlen($danoRegistrado)==3)$matrizContagem[$repe][34]++;//dano mup no nivel6
        //CONTAGEM DE DANOS SECUNDARIOS PARA JOGAR DE 1 A 8
        if($segundoDano=="M" || $terceiroDano=="M")$matrizContagem[$repe][1]++;//ACRESCENTA NO M2 PARA FICAR NA FAIXA M DE 1 A 8            
        if($segundoDano=="U" || $terceiroDano=="U")$matrizContagem[$repe][7]++;//ACRESCENTA NO U2 PARA FICAR NA FAIXA U DE 1 A 8            
        if($segundoDano=="P" || $terceiroDano=="P")$matrizContagem[$repe][13]++;//ACRESCENTA NO P2 PARA FICAR NA FAIXA P DE 1 A 8            
	endwhile;  
endfor;//aqui pega tudo das tepeticoes 1 e 2

  //AQUI CRIA OS EXPODIDOS A E B
  //cria o explodidoA com valor da primeir linha da amatriz
  $explodidoA="";
  $explodidoB="";
  $explodidoC="";
  $explodidoD="";
  for($colu=1;$colu<=34;$colu++):
    $quantidade=$matrizContagem[1][$colu];
	$valorInserir="";
	if($quantidade>0)$valorInserir=$quantidade;
    $explodidoA =$explodidoA .$valorInserir.'*';   
  endfor;

  //cria o explodidoB com valor da segunda linha da amatriz
  for($colu=1;$colu<=34;$colu++):
    $quantidade=$matrizContagem[2][$colu];
	$valorInserir="";
	if($quantidade>0)$valorInserir=$quantidade;
    $explodidoB =$explodidoB .$valorInserir.'*';   
  endfor;
  
 

  //isso aqui so vai fazer se a matriz tem mais de 4 linhas ou seja se for dimicoro com 4 repeticoes  
  $linhasMatriz=sizeof($matrizContagem);
  //echo("xxxxxxxlinhas da amatriz=  $linhasMatriz<br>");
if($linhasMatriz>3):  
  //cria o explodidoC com valor da TERECIRA linha da amatriz
  for($colu=1;$colu<=34;$colu++):
    $quantidade=$matrizContagem[3][$colu];
	$valorInserir="";
	if($quantidade>0)$valorInserir=$quantidade;
    $explodidoC =$explodidoC .$valorInserir.'*';   
  endfor;

  //cria o explodidoD com valor da QUARTA linha da amatriz
  for($colu=1;$colu<=34;$colu++):
    $quantidade=$matrizContagem[4][$colu];
	$valorInserir="";
	if($quantidade>0)$valorInserir=$quantidade;
    $explodidoD =$explodidoD .$valorInserir.'*';   
  endfor;
endif;//testou se realmente precisa gravar explodido c e d

//deve verificar se tem o registro
//SE NAO TEM UM REGISTRO DE TZO AINDA NA AMOSTRA ENTAO CRIA UMM
//AQUI VI CRIAR UM REGISTRO, ESEPECIALMENTE PARA O CASO DE TETRAZOLIO TRANSPOR FICHA
//preperando para gravar em rean1
$nomeCortado=substr($nomeOperador,0,10);
$hoje=date('Y-m-d');
$user = new rean1();
$user->extras_select = " WHERE  rea_teste='TZO' and  rea_ficha=".$amostraLong;
$user->selecionaTudo($user);
$registros=$user->linhasafetadas;
$res = $user->retornaDados();
$fechada=$res->rea_finalizada;
$operadorJaGravado=$res->rea_operador;

if($registros<1):
   $generica1=new tabelagenerica(); 
   $sqlt="insert into rean1 (rea_teste,rea_ficha,rea_v1,rea_v2,rea_campo100,rea_lei4,rea_duracao)";
   $sqlt.="values('TZO','$amostraLong','-N-','-N-','-N-','$modex','$modalidadeArquivada')";
   $generica1->grava_registro_com_retorno($sqlt); 
endif;
	//dia 05/10/19 eu arrumi com que nao mudaria o nome do operador caso entrase em gravar geral e ja estivesse fechado
	if($fechada!='s'):
       //setor de gravacao do registro 
	   $sql="update rean1 set   rea_v1='$vigorConcatenado',rea_operador='$nomeCortado',rea_datageralteste='$hoje',rea_campo60c='$finalPre',
	   rea_campo60a='$explodidoA',rea_campo60b='$explodidoB',rea_lei4='$modex',
	   rea_primeira_leitura_analista='$explodidoC',rea_segunda_leitura_analista='$explodidoD',
	   rea_duracao='$modalidadeArquivada'  where  rea_teste='TZO' and  rea_ficha=".$amostraLong;
	   $generica=new tabelagenerica();
	   $generica->grava_registro_com_retorno($sql); 
	   printMSG('Salvou todos dados inseridos!  Inclusive salvou o nome operador['. $nomeCortado.']que estava operando o programa, no momento da gravação. Evite entrar nesta tela e salvar novamente, sem necessidade.' ,'alerta');
	else:
      printMSG('Atenção: Não houve gravação de resultados, de data e operador, pois a amostra está fechada.' ,'alerta');	
	endif;
	   //echo("ssssssssalvando edicao  $sql<br>");
	   //echo("EDITOU sql=$sql<br>");
	   $controleEntrada="universal";
	   if($controleEntrada=="universal"):
	//aqui vai ler os dados inclusice se recem gravou como no caso da modalidade arquivada
   //echo("esta no editar do tetrazzolio repeticao=$repeticao<br>");
	//acha o valor de rean 1 de qualquer maneira
	/////////////////////
    $user = new rean1();
	$user->extras_select =" where  rea_teste='TZO' AND rea_ficha=".$amostraLong ;
    $user->selecionaTudo($user);
	$res = $user->retornaDados();
	$reaOperador=$res->rea_operador;
	$dataBrasil=date("d/m/Y",strtotime($res->rea_datageralteste));
	$concentracao=$res->rea_validade;
    $temperatura=$res->rea_campo20a;
    $tipoPre=$res->rea_campo20b;
    $inicioPre=$res->rea_datainicio;
    $finalPre=$res->rea_campo60c;
    $inicioLeit=$res->rea_v5;
    $finalLeit=$res->rea_v6;
	$explodido=$res->rea_campo60a;
	$explodidoR2=$res->rea_campo60b;
	$modalidadeArquivada=$res->rea_duracao;
	$finalizada=$resRean->rea_finalizada;
	if($repeticao=='1'):
       $explodidoFinal=$explodido;	
	else:
       $explodidoFinal=$explodidoR2;	
	endif;
	//echo("mmmmmmmmmmmmmodalidadeArquivada= $modalidadeArquivada<br>");
	$cheque7='';
	$cheque8='';
	$cheque9='';
	$cheque10='';
		
	if($modalidadeArquivada=='2X50'):
	   // echo("eeeeeeeeemmmmmmmmmmmmmodalidadeArquivada= $modalidadeArquivada<br>");
	    $cheque8='checked';
		$multiplicador=2;
		$alerta100="";//alerta 100 é um aviso que a prepresentação sera dobrada por falta de espaço ou seja
		//se for 2x50 mostra literal mas se for 2x100 mostra so a metade exemplo nivel 1 deu 80 entao so mostra 40
	elseif($modalidadeArquivada=='2X100'):
	    $cheque9='checked';
	    $multiplicador=1;
		$alerta100="A representação será dobrada, ou seja cada representação vale por 2, por falta de espaço.";//alerta 100 é um aviso que a prepresentação sera dobrada por falta de espaço ou seja
		//se for 2x50 mostra literal mas se for 2x100 mostra so a metade exemplo nivel 1 deu 80 entao so mostra 40
	elseif($modalidadeArquivada=='4X50'):
	    $cheque10='checked';
	    $multiplicador=2;
		$alerta100="A representação será dobrada, ou seja cada representação vale por 2, por falta de espaço.";//alerta 100 é um aviso que a prepresentação sera dobrada por falta de espaço ou seja
		//se for 2x50 mostra literal mas se for 2x100 mostra so a metade exemplo nivel 1 deu 80 entao so mostra 40
	else:
	    //se for usado 1x50 vai entao multiplicar por 4 somar com a segunda repeticao zerada e dividir por 2
		$comandoTrocaRepeticao="disabled";//quando faz 1 de 50  1x50      nao pode passr para repeticao 2 SE O CARA VACALHAR ENTAO zidane, mas sinstrução esta na tela para denfinir logo a modalidae	se vai ser 1x50  ou 2x50  ou eventualmente 2x100(pouco usado)
	    $multiplicador=4;
		$cheque7='checked';
	endif;

	$objetocalculo=new calculos();
	$matrizResumo=$objetocalculo->calculaTetrazolioSojaABC($amostraLong);
	$linhasGrade=sizeof($matrizResumo);
	
	
	$registrosRep1=$matrizResumo[1][19];
	$registrosRep2=$matrizResumo[2][19];
	$potencial=$matrizResumo[3][10];
	$vigor=$matrizResumo[3][11];

	//nivel 1 repricoes 1 e 2
	$n1R1=$matrizResumo[1][15];
	$n1R2=$matrizResumo[2][15];
	//nivel 2 repricoes 1 e 2
	$n2R1=$matrizResumo[1][16];
	$n2R2=$matrizResumo[2][16];
	//nivel 3 repricoes 1 e 2
	$n3R1=$matrizResumo[1][17];
	$n3R2=$matrizResumo[2][17];
	//$vigor="coco";
	$totalex=$totalGeral;
	//final da gravacao na rean////////////////////////////////////
	$tamanhoGrade=330;
	//captura a opcao que esta sendo usada no calculo de vigor incluindo ou nao as r3
	 $user = new tabeladeful();
	$user->extras_select =" where   cod_lab=".$idLabo ;
	$user->selecionaTudo($user);
	$r3Duras='SIM';// 
	while ($res = $user->retornaDados()):
	    $r3Duras=$res->tz_r3_duras;//pode vir com valor =nao
	endwhile;
endif;//testa se o controle de entrada é universal
endif;//buton 13
//fim do botao gravar geral         



	    //ENTRA DE QUAKQUER MANEIRA
 	 	$generica=new tabelagenerica();
		$generica->tabela="especies, ficha,cultivar";
		$generica->campos_valores = array(
				"fic_lote" => NULL,
				"fic_amostra" => NULL,
				"fic_amostra_previa" => NULL,
				"esp_nome" => NULL,
				"esp_id" => NULL,
			);
		$generica->extras_select =" where  fic_cultivar=ctv_id &&  esp_id=ctv_especie &&  fic_id=" . $amostraLong;
	    $generica->selecionaCampos($generica);
		while ($resgenerica = $generica->retornaDados()):
			$lote=$resgenerica->fic_lote;
			if($finalidade=="DEFINITIVA"):
 	            $amostra=$resgenerica->fic_amostra;
	        else:
 	            $amostra=$resgenerica->fic_amostra_previa;
				//$amostra="nnn".resgenerica->fic_amostra_previa;
	        endif;	
			//$amostra=$resgenerica->fic_amostra;
			$especie=$resgenerica->esp_nome;
			$codEspecie=$resgenerica->esp_id;
	    endwhile;
		
		if($tipo2014==17):
  //echo("xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxexecutando  Botao fechar<br>");
  if(isset($_POST['cb_fechar'])):
   //GRAVA AS LEITURAS DiRETO NA REAN
	 $sql="update rean1 set rea_finalizada='s' where  rea_teste='TZO' and  rea_ficha=".$amostraLong;
     $generica=new tabelagenerica();
	 $generica->grava_registro_com_retorno($sql); 
     printMSG('Esta amostra foi fechada e so podera ser reaberta se entrar com uma senha de administrador. Ok. Gravação normal.' ,'alerta');	
   else:
   		printMSG('Não houve fechamento, porque antes precisa  marcar SIM. ' ,'alerta');
   endif;//confirma se clicou em sim		
endif;	 
	 
if($tipo2014==18):
 //echo("xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxexecutando  Botao REABRIR<br>");
  //enxerto botao fechar/reabre
  $master=$sessao->getVar('master');
  //echo("nomeTeste= $nomeTeste master  $master<br>");
  if($master=='s'):
   //GRAVA AS LEITURAS DiRETO NA REAN
	 $sql="update rean1 set rea_finalizada='n' where  rea_teste='TZO' and  rea_ficha=".$amostraLong;
     $generica=new tabelagenerica();
	   $generica->grava_registro_com_retorno($sql); 
       printMSG('Teste foi reaberto! Ok. Gravação normal.' ,'alerta');
	   //grava ocorrencia
	   $finalidade="Reabrir Pureza";
       $valor='-O-';				   
	   $objetocalculo->registroDeOcorrencias($amostraLong,0,$nomeOperador,$finalidade,$valor,$idLabo);
	   printMSG('Gravou Ok. Gravou também uma ocorrência.' ,'alerta');	
   else:
   		printMSG('Para reabrir este teste, desta amostra, precisa entrar no programa com a senha do ADMINISTRADOR. ' ,'alerta');
   endif;//confirma se clicou em sim		
endif;	 
///////////////////
	    $user = new rean1();
		$user->extras_select =" where  rea_teste='TZO' AND rea_ficha=".$amostraLong ;
	    $user->selecionaTudo($user);
		$res = $user->retornaDados();
		$reaOperador=$res->rea_operador;
		$dataBrasil=date("d/m/Y",strtotime($res->rea_datageralteste));
		$concentracao=$res->rea_validade;
	    $temperatura=$res->rea_campo20a;
	    $tipoPre=$res->rea_campo20b;
	    $inicioPre=$res->rea_datainicio;
	    $finalPre=$res->rea_campo60c;
	    $inicioLeit=$res->rea_v5;
	    $finalLeit=$res->rea_v6;
		$explodido=$res->rea_campo60a;
		$explodidoR2=$res->rea_campo60b;
		$modalidadeArquivada=$res->rea_duracao;
		$finalizada=$res->rea_finalizada;
		$desabilita="";
	    if($finalizada=='s'):
		  $desabilita='disabled';
		endif;
		//echo("dddddddmmmmmmdddddddddddddesabilitacao= $desabilita   finalizada=$finalizada  kkk=$user->extras_select <br>" );
//////////////////	 







				
?>

<form name="formAmostra"  method="POST"  action="">


<input type="hidden" name="tipo2014"  size="3" />
<!--sucatao-->

<input type="hidden" name="idAmostra" value="<?php echo($amostraLong)?>" size=2 />
<input type="hidden" name="tipo1" value=<?php echo $reanLong ?> size=5 />
<input type="hidden" size="1" name="registros" value="<?php echo($registros)?>" size="3" />
<input type="hidden" size="1" name="vigor" value="<?php echo($vigor)?>" size="3" />
<hr>


<!--  VAI TER UMA GRADE MAIOR QUE CONTERA 3 setores
SETOR ESQUERDO: DE DANOS PRINCICPAIS
SETOR MEDIANO:DE DANOS SECUNDARIOS 
SETOR DIREITA: ORIENTACAO
CADA SETOR VAI TER UMA GRADE EM CIMA PARA O TITULO E EMBAIXO O CONTEUDO PROPRIAMENTE DITO
PORTANTO CADA SETOR TERA DUAS GRADES
-->


<table bgcolor="silver" width="800"><!--esta é a tabela mestra-->

<!---- esta é grade botoes de danos  -->

<td><table bgcolor="#f3ff1a" width="300">
<!--BOTOES DOS DANOS-->
<tr>
<td><input type="button" style="font-size: 360%"  style="font-family:Arial" style="height: 22px" name="b_saotome1" value="M" onClick="ClikButton(24)"/></td>
<td><input type="button" style="font-size: 360%"  style="font-family:Arial" style="height: 22px" name="b_saotome2" value="U" onClick="ClikButton(25)"/></td>
<td><input type="button" style="font-size: 360%"  style="font-family:Arial" style="height: 22px" name="b_saotome3" value="P" onClick="ClikButton(26)"/></td>
</tr>
</table>

<!--gradezinha dos dannos ja selecionados-->
<table bgcolor="#d2d3d1" width="300">
<tr>
<?php
if($tx_saotome1=="U"):
  ?> <td bgcolor="red"><?php
else:
 ?> <td bgcolor="white"><?php
endif;
?>


Principal:  <input  type="text"  name="tx_saotome1" 	size="1" value ="<?php echo $tx_saotome1;?>" id="tx_saotome1" />
</td>
<td>
Sec.:  <input  type="text"  name="tx_saotome2" 	size="1" value ="<?php echo $tx_saotome2;?>" id="tx_saotome2" />
       <input  type="text"  name="tx_saotome3" 	size="1" value ="<?php echo $tx_saotome3;?>" id="tx_saotome3" />
</td>
<td>  <input  type="hidden"  name="tx_temporario" 	size="1" value ="<?php echo $tx_temporario;?>" id="tx_temporario" /></td>
</tr>
</table>

<table bgcolor="white" width="300">
<tr>
<td>
Clique no dano principal, depois
</td>
</tr>
<tr>
<td>
no(s)dano(s) secundário(s), se houver.
</td>
</tr>
<tr>
<td>
Para gravar, clique no NÍVEL.(Ideal usar tablet)
</td>
</tr>
<tr>
<td>
Os danos R3,E8 e duras grava ao clicar.
</td>
</tr>



</table>


<!--///grade do R3 e EMBRIONARIA-->
<table bgcolor="#f3ff1a" width="300">
<tr>
<td><input type="button" style="font-size: 360%"  style="font-family:Arial" style="height: 22px"  name="b_editar9" <?php echo $desabilita; ?>  value="R3" onClick="ClikButton(9)"/></td>
<td><input type="button" style="font-size: 360%"  style="font-family:Arial" style="height: 22px"  name="b_editar10" <?php echo $desabilita; ?>  value="E8" onClick="ClikButton(10)"/></td>
<td><input type="button" style="font-size: 360%"  style="font-family:Arial" style="height: 22px"  name="b_editar11" <?php echo $desabilita; ?>  value="D2" onClick="ClikButton(11)"/></td>
</tr>
</table><!--fechamento da grade R3 E EMBRIONARIAniveis-->
<!--FIM DA GRADE DO R3 E EMBRIONARIA-->

<!--///grade apaga dano selecionado-->
<table bgcolor="#f3ff1a" width="300">
<tr>
<td>
<input type="button"   name="b_editar12"  value="Apaga dano-->" onClick="ClikButton(12)"/>
<!--aqui coloco o combo-->
 <select name="combo2" value="">  
    <?php for($i=1;$i<=$registrosCB2;$i++):
	echo "<option>".$matrizCombo2[$i]."</option>";
    endfor;?>
 </select>
</td>
</tr>
</table><!--fechamento da grade R3 E EMBRIONARIAniveis-->
<!--FIM DA GRADE apaga dano-->





<!---- esta é grade botoes de niveis  -->
<td><table bgcolor="#9cf523" width="80">
<!--BOTOES DOS NIVEIS-->

<tr>
<td><input type="button"    name="b_editar4"  style="font-size: 360%"  style="font-family:Arial" style="height: 22px"  value="N2"  <?php echo $desabilita; ?>    onClick="ClikButton(4)"/>
<label1a><?php echo $contaN2;?></label1a>
 
 </td><!---NIVEL 2-->						
</tr>
<tr>
<td><input type="button"    name="b_editar5"  style="font-size: 360%"  style="font-family:Arial" style="height: 22px"     value="N3"  <?php echo $desabilita; ?>     onClick="ClikButton(5)"/>
 <label1a><?php echo $contaN3;?></label1a>

  </td><!---NIVEL 3-->						
</tr>
<tr>
<td><input type="button"    name="b_editar6"   style="font-size: 360%"  style="font-family:Arial" style="height: 22px"    value="N4"  <?php echo $desabilita; ?>     onClick="ClikButton(6)"/> 
<label1a><?php echo $contaN4;?></label1a>

 </td><!---NIVEL 4-->						
</tr>
<tr>
<td><input type="button"    name="b_editar7"   style="font-size: 360%"  style="font-family:Arial" style="height: 22px"    value="N5"  <?php echo $desabilita; ?>     onClick="ClikButton(7)"/>
 <label1a><?php echo $contaN5;?></label1a>

  </td><!---NIVEL 5-->						
</tr>
<tr>
<td><input type="button"    name="b_editar8"  style="font-size: 360%"  style="font-family:Arial" style="height: 22px"     value="N6"  <?php echo $desabilita; ?>     onClick="ClikButton(8)"/>
 <label1a><?php echo $contaN6;?></label1a>

 </td><!---NIVEL 6-->						
</tr>
<tr>
<td><input type="text"  disabled="disabled"  name="xxxxxx"  size="10"   value="Com dano=<?php echo $registrosCB2;?>"      /></td><!---NIVEL 6-->						
</tr>
</table></td><!--fechamento da grade niveis-->

<!---- esta é grade DE ACESSORIOS  -->
<td><table bgcolor="#d9d8da" width="400">
<tr>
<td>
<input type="button" style="font-size: 180%"  style="font-family:Arial" style="height: 22px" name="b_troca" value="<" onClick="ClikButton(14)"/>
ACESSAR
<input type="button" style="font-size: 180%"  style="font-family:Arial" style="height: 22px" name="b_troca" value=">" onClick="ClikButton(19)"/>
<input type="text"  name="campoRepeticao"  size="1" readonly="readonly"  value="<?php echo $repeticao;?>" />
ª . REPETIÇÃO
<!--<input type="submit"  name='bt_trocarRepeticao' value="Trocar" />-->
</td>
</tr>
<!--IMAGEM PARA TESTAR-->
<tr>
<td>
<img src="/semente2013/php/paineladm/Imagens/tetrazolio.jpg" width="318" height="180"  alt="Integral AgroNet" />
</td>
</tr>
<!--FIMM IMAGEM PARA TESTAR-->				


</table>
</tr>
</table></td><!--fechamento da grade niveis-->




</table><!--fechamento da grade mestra,externa-->


<table width="800" align="left"  bgcolor="#8e9599">
<tr>
<!--<td><input type="submit" name="manual" value="Ajuda" /></td>	-->
						
<td>

<!--<input type="submit" name="bt_gravarGeral" value="GRAVAR GERAL" /></td>
<td><input type="submit"  name="auxiliares" value="Dados complementares" /></td>-->

<td><input type="button"    name="b_editar13"    value="GRAVAR GERAL 4R"      onClick="ClikButton(13)"/></td><!---gravar geral-->						




<td align="center">Modo de cálculo:
<!--
<input type="radio" name="radiomodalidade" value="2X50"   <?php echo $cheque8;?>    />2X50
<input type="radio" name="radiomodalidade" value="2X100"  <?php echo $cheque9;?>    />2X100
<input type="radio" name="radiomodalidade" value="1X50"   <?php echo $cheque7;?>    />1X50
-->  
<input type="radio" name="radiomodalidade" value="4X50"   <?php echo $cheque10;?>    />4X50  

<input type="text" size="3" maxlength="4" name="modex"      value="<?php echo $modex;?>" />

</td>

</tr>
</table>

 
 <table  border="1" width="800" bgcolor="white">
<?php 
	 //despeja a matriz todinha dentro do form
	 //echo("limite linhas $limiteLinhas limite colunas=$limiteColunas<br>");
	 

	 for($i=0;$i<=$linhasGrade-1;$i++) 
	 {  
	    echo("<tr>");
		for($j=0;$j<=21;$j++)
		{
		    ?><td align="center"><?php
            if($j<21):
		        echo ($matrizResumo[$i][$j]."</td>");
			else:
		        echo ($matrizResumo[$i][37]."</td>");
			endif;	
		}
	    echo("</tr>");
	 }
	 
if($tipo2014==15):
	     $vias=$_POST['vias'];
		 $sessao->setVar('controle1',$vias);
		 $sessao->setVar('controle',$valorDeful);
		 //$cliente='DIMICRON';
		 //echo $vias;
		 if(substr($cliente,0,8)=='DIMICRON'):
		    echo '<iframe src="imprimelaudotetrasojaDimicronPizzaPHPLOTFinal.php" style="border:0" width="100%" height="350"></iframe>';	 //funciona 
		 else:
		    echo '<iframe src="imprimelaudotetrasojaDimicronPizzaPHPLOT.php" style="border:0" width="100%" height="350"></iframe>';	 //funciona 
		 endif;	 
endif;	 

if($tipo2014==20):
    	     $vias=$_POST['vias'];
		 $sessao->setVar('controle1',$vias);
		 $sessao->setVar('controle',$valorDeful);
		 //$cliente='DIMICRON';
		 //echo $vias;
		 if(substr($cliente,0,8)=='DIMICRON'):
		    echo '<iframe src="imprimelaudotetrasojaDimicronPizzaPHPLOTFinal.php" style="border:0" width="100%" height="350"></iframe>';	 //funciona 
		 else:
		    //echo '<iframe src="imprimefichaPMS.php" style="border:0" width="100%" height="350"></iframe>';	 //funciona 
		    echo '<iframe src="imprimefichatetrasoja.php" style="border:0" width="100%" height="350"></iframe>';	 //funciona 
		 endif;	 
endif;	 




	 
if($tipo2014==16):
    echo("Sub-tela de dados complementares<br>");
    $sessao->setVar('controle','basico');
	echo '<iframe src="tetrazolio_comandos_auxiliares.php" style="border:0" width="70%" height="170"></iframe>';	 //funciona  
endif;	 
	 
	 
	 

?>

</table>
 <table  bgcolor="#b9bfbf" width="800">					

 
<!--
	
 <td>Imprimir modelo:<input type="submit" name="imprimir1" value="M1" /></td>
 
 
 <td><input type="submit" name="imprimir2" value="M2" /></td>
 <td><input type="submit" name="imprimir3" value="M3" /></td>
 <td><input type="submit" name="imprimir4" value="M4" /></td>
 <td><input type="submit" name="imprimir5" value="M5" /></td>
 <td><input type="submit" name="imprimir6" value="M6" /></td>
  <tr>
   <td><input type="submit" name="imprimir_habitual" value="imprimir modelo HABITUAL" /></td>
 </tr>

 <td>xxx />
 <td>Imprimir modelo:<input type="submit" name="bt_imprimirDCAG" value="GRÁFICO" />-->
 <td><input type="button"  name="b_editar15"  value="GRÁFICO" onClick="ClikButton(15)"/>
 <select name="vias" >
  <option>1ªVia</option>
  <option>2ªVia</option>
  </select>
  </td>
  <!--xxxxxxxxx-->
 <td><input type="button"  name="b_editar20"  value="FICHA VIRTUAL" onClick="ClikButton(20)"/>
 
  </td>


  
  <?php
  if($finalizada=="s"):
    ?>  
    <td><input type="button"  name="b_editar18"  value="REABRIR" onClick="ClikButton(18)"/></td>
	<?php	
	else:
    ?>
	<td><input type="button"  name="b_editar17"  value="FECHAR" onClick="ClikButton(17)"/>
	sim<input type="checkbox"   name="cb_fechar" /></td>
	<?php	
	endif;
	?>
 </table>
<table width="800" bgcolor="#22ddd9">
<tr>
    <td> [Lote:<?php echo($lote)?> ]  [Espécie:<?php echo($especie)?>]   </td>
    <td>Amostra: <input type="text" size="3"  maxlength="5" name="amostra" value="<?php echo $amostra; ?>" />
	<input type="submit" name="acharDigitada" value="<--Achar" /></td>

    <td><input type="button"  name="b_editar16"  value="Dados Complementares" onClick="ClikButton(16)"/>
    <td>An.:<?php echo $reaOperador; ?></td>
</tr>
</table>





 <br> Para mudar de uma amostra para outra, vai em RESULTADOS-->GERAL RESUMO e use o localizador que tem naquela tela.
 <br> Se quiser gravar, temperatura,concentração, horario de leitura clique em dados complementares.
 <br> Clicando R3, E8 ou D2 resultará informar danos de 3R, embionárias ou duras(na classe II) respectivamente.
 <br> Esta tela permite calcular os danos das faixas 4 e 5 e tambem discriminar faixas de classes de vigor(muitoAlto, alto, normal)
 <br> Esta configurado para <?php echo $r3Duras;?> incluir as sementes R3 nas vigorosas. Para mudar acesse:Manutenção-->configurações 
 <br> E8 se converte em E6 pois considera mortas para fins de cálculo de viabilidade/vigor. 
 
 <br><?php  echo $alerta100;?>






<!--fim do sucatao-->
</form>
<?php
break;



default:
	  echo '<p>A tela solicitada não existe.</p>';
break;
		
		
endswitch;


?>